package cn.superdesk.uniorder.service.sys.role;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.role.SysRole;
import cn.superdesk.uniorder.dao.entity.sys.role.SysRoleMenuKey;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface SysRoleService extends BaseService<SysRole> {

	SysRole addObjTran(SysRole role, List<SysRoleMenuKey> ls);

	void updateObjTran(SysRole role, List<SysRoleMenuKey> ls);

	R<List<SysRole>> findAllPage(Map<String, Object> params, int pageNo, int pageSize);

	void deleteTran(Long roleId);

	SysRole findByAvicCode(String avicCode);
}
